about summary refs log tree commit diff
path: root/scripts/install-nix-from-closure.sh
diff options
context:
space:
mode:
authorEelco Dolstra <eelco.dolstra@logicblox.com>2014-02-10T09·50+0100
committerEelco Dolstra <eelco.dolstra@logicblox.com>2014-02-10T09·50+0100
commitc5839752b9d5099d4b5e7bcfc853581673e779f6 (patch)
tree51d3d469dda4d03c6329391bb29d7f80ce74728b /scripts/install-nix-from-closure.sh
parentb632153ebd1bf8d773872eb36f9ad335d2c89fab (diff)
Binary tarball: Automatically fetch the Nixpkgs channel
Diffstat (limited to 'scripts/install-nix-from-closure.sh')
-rw-r--r--scripts/install-nix-from-closure.sh8
1 files changed, 7 insertions, 1 deletions
diff --git a/scripts/install-nix-from-closure.sh b/scripts/install-nix-from-closure.sh
index 41e596e5ff..00f23e0f4c 100644
--- a/scripts/install-nix-from-closure.sh
+++ b/scripts/install-nix-from-closure.sh
@@ -15,6 +15,12 @@ if ! $nix/bin/nix-env -i @nix@; then
     exit 1
 fi
 
+# Subscribe the user to the Nixpkgs channel and fetch it.
+if ! $nix/bin/nix-channel --list | grep -q "^nixpkgs "; then
+    $nix/bin/nix-channel --add http://nixos.org/channels/nixpkgs-unstable
+fi
+$nix/bin/nix-channel --update nixpkgs
+
 # Add nix.sh to the shell's profile.d directory.
 p=$NIX_LINK/etc/profile.d/nix.sh
 
@@ -31,4 +37,4 @@ variables are set, please add the line
 
 to your shell profile (e.g. ~/.profile).
 EOF
-fi
\ No newline at end of file
+fi